<?php
// Exit if accessed directly
if(!defined('ABSPATH'))
	exit;
?>
<div id="hangman-div2">
    <div>
        Choose a letter:
        <div id="letters">
            <?php
            foreach (range('A', 'Z') as $char) {
                echo '<span class="letter">' . $char . '</span>';
            }
            ?>
            <div class="clear"></div>
        </div>
        <div id="lives-left-div">
            Lives left: <span id="lives-left"><?= $lives ?></span>
        </div>
    </div>
    <div>
        <img src="<?= plugins_url('/images/hangman/0.jpg', __FILE__) ?>" id="hangman" alt="hangman"/>
    </div>
    <div>
        <div id="guessed-word-div">
            <?= $blankWord ?>
        </div>
        <div id="the-word-was-div" class="display-none"></div>
        <div id="play-again-div" class="display-none">
            <a href="<?= hangman_curPageURL() ?>">Play again?</a>
        </div>
    </div>
    <div class="clear"></div>
</div>
<script>
var boo_audio = document.createElement("audio");
boo_audio.setAttribute("src", "<?= plugins_url('/sounds/boo.mp3', __FILE__) ?>");

var applause_audio = document.createElement("audio");
applause_audio.setAttribute("src", "<?= plugins_url('/sounds/applause.mp3', __FILE__) ?>"); 

var blop_audio = document.createElement("audio");
blop_audio.setAttribute("src", "<?= plugins_url('/sounds/blop.mp3', __FILE__) ?>");

var lives = <?= $lives ?>;
var image = <?= $image ?>;
var word = '<?= $word ?>';
var foundLetters = '<?= $foundLetters ?>';
var level = <?= $level ?>;

var winOrLose = false;

jQuery(document).ready(function($){
	$(".letter").click(function(){		
		$.ajax({
			data: {letter: $(this).text(), abspath: <?= defined('ABSPATH') ?>, lives: lives, image: image, word: word, foundLetters: foundLetters, level: level, action: 'hangman_ajax'},
			type: "POST",
			dataType: "json",
			url: '<?= admin_url('admin-ajax.php') ?>',
			context: this,
			success: function(data)
			{
				if(!winOrLose)
				{
					if(data.win == null)
					{
						lives = data.lives;
						image = data.image;
						foundLetters = data.foundLetters;
						$("#hangman").attr("src",data.image_url);
						$("#lives-left").text(data.lives);
						$("#guessed-word-div").html(data.guessedWord);
						$(this).addClass("display-none");
						blop_audio.play();
					}
					else
					{
						if(data.win == false)
						{
							winOrLose = true;
							$("#lives-left").text(data.lives);
							$("#hangman").attr("src",data.image_url);
							$("#the-word-was-div").html(data.word);
							$("#the-word-was-div").removeClass("display-none");
							$("#play-again-div").removeClass("display-none");
							boo_audio.play();
						}
						else
						{
							winOrLose = true;
							$("#guessed-word-div").html(data.guessedWord);
							$("#play-again-div").removeClass("display-none");
							applause_audio.play();
						}
					}
					
					win = data.win;
				}					
			},
			error: function (jqXHR, textStatus, errorThrown)
			{
				if (jqXHR.status === 0) {
					alert('Not connect.\n Verify Network.');
				} else if (jqXHR.status == 404) {
					alert('Requested page not found. [404]');
				} else if (jqXHR.status == 500) {
					alert('Internal Server Error [500].');
				} else {
					alert('Uncaught Error.\n' + jqXHR.responseText);
				}
			}
		});
	});
});
</script>
<?php
	function hangman_curPageURL()
	{
		$pageURL = 'http';
		if ($_SERVER["HTTPS"] == "on") {$pageURL .= "s";}
			$pageURL .= "://";
		if ($_SERVER["SERVER_PORT"] != "80")
			$pageURL .= $_SERVER["SERVER_NAME"].":".$_SERVER["SERVER_PORT"].$_SERVER["REQUEST_URI"];
		else
			$pageURL .= $_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"];
		return $pageURL;
	}
?>



